Page MenuHomePhabricator

Use maps snapshot service until user interacts (click/mouseover?)
Closed, ResolvedPublic

Description

All mapframes should use snapshot image until the user indicates their desire to interact with the map. For example, a mapframe mouseover or a click/touch could initiate the code/tile download. Also, we might consider opening the map full screen when the image is single-clicked as oppose to click and dragged.

Image snapshot URL:
http://maps.wikimedia.org/img/osm-intl,1,0,0,1000x1000.png?domain=www.mediawiki.org&title=Help:Extension:Kartographer&groups=_925bf4f20f98fdda374476b902f702d080492748

Event Timeline

Yurik created this task.Oct 13 2016, 6:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2016, 6:42 PM
mxn added a subscriber: mxn.Oct 17 2016, 9:53 AM
JGirault claimed this task.Oct 17 2016, 8:03 PM
JGirault moved this task from Backlog to In progress on the Maps-Sprint board.
Yurik added a comment.Oct 18 2016, 3:26 AM

@JGirault I saw your message on IRC - it seems your page's props were not refreshed (saving of the page fixed that). Your link works now.

Change 317018 had a related patch set uploaded (by JGirault):
Use map snapshot service until user interacts

https://gerrit.wikimedia.org/r/317018

Yurik moved this task from Needs review to In progress on the Maps-Sprint board.Oct 21 2016, 5:00 AM

Change 317018 merged by jenkins-bot:
Use map snapshot service until user interacts

https://gerrit.wikimedia.org/r/317018

Yurik closed this task as Resolved.Oct 24 2016, 10:09 PM

Change 317751 had a related patch set uploaded (by Yurik):
Re-added KartographerStaticMapframe config var

https://gerrit.wikimedia.org/r/317751

Change 317751 merged by jenkins-bot:
Re-added KartographerStaticMapframe config var

https://gerrit.wikimedia.org/r/317751